<back to all web services

MarkForTranslation

The following routes are available for this service:
PUT/RestApi/translations/translate/mark
import java.math.*
import java.util.*
import java.io.InputStream
import net.servicestack.client.*


open class MarkForTranslation
{
    open var Ids:ArrayList<UUID>? = null
    open var ProviderName:String? = null
    open var ItemType:String? = null
    open var SourceLanguage:String? = null
    open var TargetLanguages:ArrayList<String>? = null
    open var ActualSourceLanguage:String? = null
    open var AllowPartialSuccess:Boolean? = null
}

Kotlin MarkForTranslation DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .other suffix or ?format=other

HTTP + OTHER

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

PUT /RestApi/translations/translate/mark HTTP/1.1 
Host: www.imglobal.com 
Accept: text/jsonl
Content-Type: text/jsonl
Content-Length: length

{"Ids":["00000000-0000-0000-0000-000000000000"],"ProviderName":"String","ItemType":"String","SourceLanguage":"String","TargetLanguages":["String"],"ActualSourceLanguage":"String","AllowPartialSuccess":false}
HTTP/1.1 200 OK
Content-Type: text/jsonl
Content-Length: length

{Unable to show example output for type 'IList`1' using the custom 'other' filter}Cannot create an instance of an interface.